dbXML API

## org.dbxml.core.corba.db
Class ServantManagementPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.ServantManagementPOA
                  |
                  +--org.dbxml.core.corba.db.ServantManagementPOATie

All Implemented Interfaces:
  org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class ServantManagementPOATie
extends ServantManagementPOA

Generated from IDL definition of interface "ServantManagement"

Author:
  JacORB IDL compiler

Constructor Summary
`ServantManagementPOATie(ServantManagementOperations delegate)`
`ServantManagementPOATie(ServantManagementOperations delegate, org.omg.PortableServer.POA poa)`

Method Summary
`ServantManagementOperations` `_delegate()`
`void` `_delegate(ServantManagementOperations delegate)`
`ServantManagement` `_this()`
`ServantManagement` `_this(org.omg.CORBA.ORB orb)`
`void` `remove()`

Methods inherited from class org.dbxml.core.corba.db.ServantManagementPOA
`_all_interfaces, _invoke`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantManagementPOATie

    public ServantManagementPOATie(ServantManagementOperations delegate)

### ServantManagementPOATie

    public ServantManagementPOATie(ServantManagementOperations delegate,
                                   org.omg.PortableServer.POA poa)

Method Detail

### _this

    public ServantManagement _this()

  Overrides:
    `_this` in class `ServantManagementPOA`

### _this

    public ServantManagement _this(org.omg.CORBA.ORB orb)

  Overrides:
    `_this` in class `ServantManagementPOA`

### _delegate

    public ServantManagementOperations _delegate()

### _delegate

    public void _delegate(ServantManagementOperations delegate)

### remove

    public void remove()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved